'\" t
.\"     Title: pwck
.\"    Author: Julianne Frances Haugh
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 22/08/2022
.\"    Manual: Commandes de gestion du syst\(`eme
.\"    Source: shadow-utils 4.12.3
.\"  Language: French
.\"
.TH "PWCK" "8" "22/08/2022" "shadow\-utils 4\&.12\&.3" "Commandes de gestion du syst\(`em"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NOM"
pwck \- verify the integrity of password files
.SH "SYNOPSIS"
.HP \w'\fBpwck\fR\ 'u
\fBpwck\fR [options] [\fIPASSWORDFILE\fR\ [\ \fISHADOWFILE\fR\ ]]
.SH "DESCRIPTION"
.PP
The
\fBpwck\fR
command verifies the integrity of the users and authentication information\&. It checks that all entries in
/etc/passwd
and
/etc/shadow
have the proper format and contain valid data\&. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors\&.
.PP
Voici les v\('erifications effectu\('ees\ \&:
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
nombre correct de champs\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
unicit\('e et validit\('e des noms d\*(Aqutilisateur\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
validit\('e des identifiants d\*(Aqutilisateur et de groupe\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
validit\('e du groupe primaire\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
validit\('e du r\('epertoire personnel\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
validit\('e de l\*(Aqinterpr\('eteur de commandes initial (\(Fo\ \&login shell\ \&\(Fc)\&.
.RE
.PP
Checks for shadowed password information are enabled when the second file parameter
\fISHADOWFILE\fR
is specified or when
/etc/shadow
exists on the system\&.
.PP
Ces v\('erifications sont les suivantes\ \&:
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
chaque entr\('ee de passwd a une entr\('ee correspondante dans shadow, et chaque entr\('ee shadow a une entr\('ee passwd correspondante\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
les mots de passe sont indiqu\('es dans le fichier des mot de passe cach\('es\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
les entr\('ees de shadow ont le bon nombre de champs\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
les entr\('ees de shadow sont uniques dans shadow\ \&;
.RE
.sp
.RS 4
.ie n \{\
\h'-04'\(bu\h'+03'\c
.\}
.el \{\
.sp -1
.IP \(bu 2.3
.\}
la date du dernier changement de mot de passe n\*(Aqest pas dans le futur\&.
.RE
.PP
The checks for correct number of fields and unique user name are fatal\&. If the entry has the wrong number of fields, the user will be prompted to delete the entire line\&. If the user does not answer affirmatively, all further checks are bypassed\&. An entry with a duplicated user name is prompted for deletion, but the remaining checks will still be made\&. All other errors are warnings and the user is encouraged to run the
\fBusermod\fR
command to correct the error\&.
.PP
The commands which operate on the
/etc/passwd
file are not able to alter corrupted or duplicated entries\&.
\fBpwck\fR
should be used in those circumstances to remove the offending entry\&.
.SH "OPTIONS"
.PP
The
\fB\-r\fR
and
\fB\-s\fR
options cannot be combined\&.
.PP
The options which apply to the
\fBpwck\fR
command are:
.PP
\fB\-\-badname\fR\ \&
.RS 4
Allow names that do not conform to standards\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Afficher un message d\*(Aqaide et quitter\&.
.RE
.PP
\fB\-q\fR, \fB\-\-quiet\fR
.RS 4
Ne signaler que les erreurs\&. Les avertissements qui ne n\('ecessitent pas une action de la part de l\*(Aqutilisateur ne seront pas affich\('es\&.
.RE
.PP
\fB\-r\fR, \fB\-\-read\-only\fR
.RS 4
Execute the
\fBpwck\fR
command in read\-only mode\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-s\fR, \fB\-\-sort\fR
.RS 4
Sort entries in
/etc/passwd
and
/etc/shadow
by UID\&.
.RE
.PP
By default,
\fBpwck\fR
operates on the files
/etc/passwd
and
/etc/shadow\&. The user may select alternate files with the
\fIpasswd\fR
and
\fIshadow\fR
parameters\&.
.SH "CONFIGURATION"
.PP
The following configuration variables in
/etc/login\&.defs
change the behavior of this tool:
.SH "FICHIERS"
.PP
/etc/group
.RS 4
Informations sur les groupes\&.
.RE
.PP
/etc/passwd
.RS 4
Informations sur les comptes des utilisateurs\&.
.RE
.PP
/etc/shadow
.RS 4
Informations s\('ecuris\('ees sur les comptes utilisateurs\&.
.RE
.SH "VALEURS DE RETOUR"
.PP
The
\fBpwck\fR
command exits with the following values:
.PP
\fI0\fR
.RS 4
success
.RE
.PP
\fI1\fR
.RS 4
invalid command syntax
.RE
.PP
\fI2\fR
.RS 4
one or more bad password entries
.RE
.PP
\fI3\fR
.RS 4
can\*(Aqt open password files
.RE
.PP
\fI4\fR
.RS 4
can\*(Aqt lock password files
.RE
.PP
\fI5\fR
.RS 4
can\*(Aqt update password files
.RE
.PP
\fI6\fR
.RS 4
can\*(Aqt sort password files
.RE
.SH "VOIR AUSSI"
.PP
\fBgroup\fR(5),
\fBgrpck\fR(8),
\fBpasswd\fR(5),
\fBshadow\fR(5),
\fBusermod\fR(8)\&.
